#!/bin/bash

# Save Imager ASOS log files East and West, and clean up after 30days
# Modified by T. Nguyen 02/09/2012 

# call env setup file
. $HOME/iasos/scripts/iasos_env.sh

# Clean log files after 3 days.
find $iasos_log -mtime +3 -type f -name "GEOUT.LOG*" -exec rm '{}' \;
find $iasos_log -mtime +3 -type f -name "GWOUT.LOG*" -exec rm '{}' \;

# Clean TCUS files after 3 days.
find $iasos_archive -mtime +3 -type f -name "T_TCUS*" -exec rm '{}' \;
