struct ARACOM {
 int fd;	/* file number from open call */
 char *area_name;	/* file name with optional path */
 long dir[64];		/* the directory */
 long data_loc;		/* starting byte of data, zero based */
 long line_len;		/* length of data portion of line */
 long pref_len;		/* length of prefix portion of line */
 long elem_len;		/* length of an element = number of bands * bytes per band*/
 long slot;
 long cin;
 long cout;
 long options[5];	/* List of options */
 int flip;	/* set to 0 for no flip, 1 for flip, -1 for invalid file */
};

#define N_AREAS 6

#ifdef OPEN
 int new_area = -1;
 struct ARACOM aracom[N_AREAS];
#else
 extern int new_area;
 extern struct ARACOM aracom[N_AREAS];
#endif
