      FUNCTION DEWPT(P,T,W)
C $ FUNCTION DEWPT(P,T,W)        (BTR)
C $ DETERMINE DEWPOINT GIVEN PRESSURE, TEMPERATURE AND MIXING RATIO
C $ P = (R) INPUT   PRESSURE
C $ T = (R) INPUT  TEMPERATURE
C $ W = (R) INPUT  MIXING RATIO
C $$ DEWPT=VAS,COMPUTATION
      SATV=W*P/622.
      IF(T.GT.253.) GO TO 10
      TD=TVPICE(SATV)
      GO TO 20
   10 TD=TEMSAT(SATV)
   20 IF(TD.EQ.0.) TD=T-40.
      TD=AMIN1(TD,T)
      DEWPT=TD
      RETURN
      END
