	function goesplan(tem,kan)
c
c 4/10/2001 JPN  Added PN variable
c
c * GOES/I-M radiance from brightness temperature
c .... version of 22.03.01
c
c * updated to work with new 26-word FK1, FK2, etc. arrays (read from goestbnd.dat via GOESPFCO)
c * Call GOESPFCO before using this or GOESBRIT or GOESDBDT or GOESSKIN.
c
c      tem = temperature, deg K
c      kan = channel number: 1,...,26

	parameter (nk=26,nt=2)

        character*15 PN

	common/plncgx/cwn(nk),fk1(nk),fk2(nk),tc(nt,nk)

        data PN/'(GOESPLAN.FOR)'/

	k=kan
	tt=tc(1,k)+tc(2,k)*tem
	expn=exp(fk2(k)/tt) - 1.
	goesplan=fk1(k)/expn

	return
	end
