      SUBROUTINE GTOO(XOB,YOB,NOB,NX,NY,QF,QOB)                                 
C $ SUBROUTINE GTOO(XOB,YOB,NOB,NX,NY,QF,QOB)             (CMH)                 
C $ INTERPOLATE QF AT GRID POINTS TO QOB AT OB POINTS                           
C $ XOB,YOB = (R) INPUT  LOCATIONS OF OBSERVATIONS                              
C $ NOB = (I) INPUT  NUMBER OF OBSERVATIONS                                     
C $ NX,NY = (I) INPUT  NO. OF GRIDPOINTS IN X AND Y DIRECTIONS                  
C $ QF = (R) OUTPUT  ACCUMULATED ANALYSIS FIELD                                 
C $ QOB = (R) OUTPUT  ANALYSIS VALUE AT THE OBSERVATION                         
C $$ GTOO = VAS,COMPUTATION                                                     
      DIMENSION QOB(1),XOB(1),YOB(1),QF(NX,NY)                                  
      DO 200 IOB=1,NOB                                                          
      IX=XOB(IOB)                                                               
      RX=XOB(IOB)-IX                                                            
      IX1=IX+1                                                                  
      IX2=IX+2                                                                  
      IY=YOB(IOB)                                                               
      RY=YOB(IOB)-IY                                                            
      IY1=IY+1                                                                  
      IY2=IY+2                                                                  
      RX1=1.-RX                                                                 
      RY1=1.-RY                                                                 
      RX1RY1=RX1*RY1                                                            
      RXRY1=RX*RY1                                                              
      RX1RY=RX1*RY                                                              
      RXRY=RX*RY                                                                
      QOB(IOB)=RX1RY1*QF(IX1,IY1)                                               
     *        +RXRY1*QF(IX2,IY1)                                                
     *       +RX1RY*QF(IX1,IY2)                                                 
     *       +RXRY*QF(IX2,IY2)                                                  
  200 CONTINUE                                                                  
      RETURN                                                                    
      END                                                                       
