      FUNCTION LANSEA(ILAT,ILON,LEVEL)
C $ FUNCTION LANSEA(ILAT,ILON,LEVEL)         (BTR)
C $ GIVEN LAT/LON, GET ELEVATION AND SURFACE CHAR. (LOW RES.)
C $ ILAT = (I) INPUT  LATITUDE, DEG*100
C $ ILON = (I) INPUT LONGITUDE, (POS. E NEG W) DEG*100
C $ FUNCTION RETURN IS 1 FOR LAND, 2 FOR OCEAN
C $$ LANSEA = VAS,COMPUTATION
      CHARACTER*8 CFILE
      INTEGER*4 KELEV(192),IFLAG(12)
      INTEGER*2 IELEV(360)
      EQUIVALENCE (IFLAG(1),KELEV(1)),(IELEV(1),KELEV(13))
      DATA LAST/0/,INIT/1/
      DATA CFILE/'TOPOLRES'/,IU/17/,LEN/192/
      IF(INIT.EQ.0) GO TO 110
      CALL LWOPN(CFILE,IU,LEN)
      INIT=0
  110 CONTINUE
      LAN=0
      LEVEL=0
      SLAT=.01*FLOAT(ILAT)
      SLON=.01*FLOAT(ILON)
      LAT=SLAT+1.
      IF(SLAT.LT.0.) LAT=SLAT
      LAT=MAX0(LAT,-87)
      LAT=91-LAT
      IF(LAT.EQ.LAST) GO TO 120
      CALL LWREAD(IU,LAT,KELEV)
      LAST=LAT
  120 XLON=SLON
      IF(XLON.LT.0.) XLON=XLON+360.
      LON=XLON
      IF(LON.EQ.360) LON=0
      LON=LON+1
      LAN=LBIT(LON,IFLAG)
      IF(LAN.NE.0) LEVEL=IELEV(LON)
      LANSEA=2-LAN
      RETURN
      END
