C   THIS IS SSEC PROPRIETARY SOFTWARE - ITS USE IS RESTRICTED.

C *** McIDAS Revision History ***
C 1 MDPUT.FOR 21-May-90,10:32:38,`DAS' First release
C 2 MDPUT.FOR 1-Oct-90,13:13:32,`RCD' First Release into COMmon
C 3 MDPUT.FOR 1-Apr-94,1:29:08,`BARRYR' Add proprietary statement
C 4 MDPUT.FOR 2-May-94,17:07:46,`USER' Released
C 5 MDPUT.FOR 22-Mar-96,11:58:38,`DWS' reglue: modified file
C 6 MDPUT.FOR 25-Mar-96,13:58:52,`USER' Released
C *** McIDAS Revision History ***

C MDPUT  BARRET 1181  PUT RECORD TO MD FILE
C $ MDPUT(MDNO, M, N, ARRAY)  (GAD)
C $ PUT RECORD TO MD FILE.  FN VAL IS 0 (OK) OR -1 (CAN'T, I.E., NO SUCH
C $   RECORD).
C $ INPUT:
C $   MDNO = (I) THE MD FILE #
C $   M, N = (I) ROW, COLUMN #'S OF DESIRED RECORD. IF M=0, A COLUMN
C $      HEADER IS DESIGNATED. IF N=0, A ROW HEADER IS DESIGNATED.
C $   ARRAY = (I) MUST BE LONG ENOUGH TO CONTAIN ALL THE DESIRED RECORD,
C $      NOT JUST THE PORTION BEING READ. THIS IS BECAUSE ROW HEADERS,
C $      COLUMN HEADERS & DATA RECORDS ARE EACH READ INTO DIFFERENT
C $      REGIONS WITHIN ARRAY, SO THEY WILL MATCH UP PROPERLY WITH THEIR
C $      RESPECTIVE KEYS.
C $$ MDPUT = MD, I/O

      FUNCTION MDPUT(MDNO,M,N,ARRAY)
      IMPLICIT INTEGER (A-Z)
      DIMENSION ARRAY(*)
      CHARACTER*12 CNAME
C-----FOLLOWING COMMON BLOCK GIVES LAYOUT OF FILE HEADER.
      COMMON/MDCOM/ SNAME,SVSN,SDATE,NR,NC,NKEYS,NRKEYS,NCKEYS,NDKEYS,
     &   CPOS,DPOS,NREPS,REPSIZ,REPPOS,MDATA,ID,TEXTID(8),CPROJ,CDATE,
     &   COWNER,FRHOF,FCHOF,FDATOF,FENDOF,FUSROF,FNAMOF,FSCAOF,
     &   FUNIOF,UNUSED(26),CFNAM(2),CMDNO,MDHED(64,5),BUF(400)
      DATA MAXHED/5/,HEDSIZ/64/,MAXFLD/400/
C
C
      IF (MDNO.EQ.CMDNO) GOTO 4
         DO 2 J=1,MAXHED
            IF (MDHED(HEDSIZ,J).EQ.MDNO) GOTO 3
 2       CONTINUE
         GOTO 91
 3       CALL MOVW(HEDSIZ,MDHED(1,J),SNAME)
 4    CONTINUE

      CNAME=' '
      CALL MOVWC(CFNAM,CNAME(1:8))

      IF (M.LE.0) GOTO 5
      IF (N.LE.0) GOTO 6
C-----DATA RECORD
      IF (M.GT.NR.OR.N.GT.NC) GOTO 7
      POS=DPOS
      NWDS=NDKEYS
      LOC=FDATOF+((M-1)*NC+N-1)*NWDS
      GOTO 8
C-----COLUMN HEADER
 5    IF (N.LE.0.OR.N.GT.NC) GOTO 7
      POS=CPOS
      NWDS=NCKEYS
      LOC=FCHOF+(N-1)*NWDS
      GOTO 8
C-----ROW HEADER
 6    IF (M.GT.NR) GOTO 7
      POS=1
      NWDS=NRKEYS
      LOC=FRHOF+(M-1)*NWDS
      GOTO 8
 7    IF (M.NE.0.OR.N.NE.0) GOTO 91
      POS=1
      NWDS=MAXFLD
      LOC=FUSROF
      GOTO 8
 8    IF (NWDS.LE.0) GOTO 91
      CALL LWO(CNAME,LOC,NWDS,ARRAY(POS))
      MDPUT=0
      RETURN
 91   MDPUT=-1
      RETURN
      END
