      SUBROUTINE PROFIX(PR,TR,DR,WR,P,T,W,IL,IM,IS,IT,VLAT)
c 21 sept 94 Remove the bleeding w extension logic, put in GESPRO
C $ SUBROUTINE PROFIX(PR,TR,DR,WR,P,T,W,IL,IM,IS,IT,VLAT)       (CMH)
C $ GIVEN T, P, TD, GET T AND W FOR ANOTHER PRESSURE
C $ PR = (R) INPUT PROFILE OF MANDATORY PRESSURES (15) FROM 10-1000
C $ TR = INPUT PROFILE OF TEMPERATURE
C $ DR = INPUT PROFILE OF DEWPOINT DEPRESSION
C $ WR = OUTPUT  MIXING RATIO, CALCULATED BY WMIX AND RETURNED
C $ P,T,W =  OUTPUT PROFILES; PRESSURE IS GIVEN (INCREASING)
C $ IL = INPUT  NO. OF OUTPUT LEVELS TO INTERPOLATE; LOWEST INPUT P
C $     TO 1000
C $ IM = INPUT 1ST LEVEL IN OUTPUT ARRAY WITH PRESSURE LOWER THAN INPUT
C $ IS = INPUT  IM+1
C $ IT = INPUT  NO. OF INPUT LEVELS FROM WHICH TO INTERPOLATE
C $ VLAT = INPUT  LATITUDE FOR INVENTING PROFILES AT HIGH LEVELS
C $$ PROFIX = VAS,COMPUTATION
      DIMENSION PR(40),TR(40),DR(40),WR(40),P(40),T(40),W(40)
      CALL WMIX(PR,TR,DR,WR,IT)
C     FOLLOWING WILL FILL T(IS)-T(40), AND ALSO W
      CALL INTPTW(PR,TR,WR,P(IS),T(IS),W(IS),IT,IL)
C     EXTEND TEMPERATURE PROFILE TO .1 hPa
      DO 110 I=1,IM
  110 T(I)=-1.
      CALL EXTEMP(T,VLAT)
      DO 130 J=1,17
  130 W(J)=0.003
      RETURN
      END
