      SUBROUTINE WMIX(P,T,DD,W,NL)
C
C $ SUBROUTINE WMIX(P,T,DD,W,NL)                 (BTR)
C $ GET MIXING RATIO, GIVEN P, T, TD
C $ P = (R) INPUT  PRESSURE
C $ T = (R) INPUT  TEMPERATURE
C $ DD = (R) INPUT  DEWPOINT DEPRESSION
C $ W = (R) OUTPUT  MIXING RATIO
C $ NL = (I) INPUT  NUMBER OF LEVELS
C $$ WMIX = VAS,COMPUTATION
CXR   SATVAP,VPICE
C *** 'DD' IS DEWPOINT DEPRESSION
C
      DIMENSION P(1),T(1),DD(1),W(1)
      DO 10 I=1,NL
      TD=T(I)-DD(I)
      IF(T(I).GT.253.) GO TO 3
      ES=VPICE(TD)
      GO TO 7
    3 ES=SATVAP(TD)
    7 W(I)=622.*ES/P(I)
   10 CONTINUE
      RETURN
      END
