
#include <stdio.h>
#include <errno.h>
#include <unistd.h>     /* read, write, lseek, close */
#include "aracom.h"
#include "direct.h"
extern char **varg;

int makara (int fd, int  *direct)
{
 int cur_area = -1;
 int i;
 static int  n_bytes, n_read, lpos, start_byte;
 char cerror[120];
 Direct_ptr dptr;	/* defined in direct.h */

 for (i=0; i<=new_area; i++)
  {if(aracom[i].fd == fd) {cur_area=i; break;}}
 if(cur_area < 0)
  {printf ("file %d not opened \n",fd); return -1;}

 /*printf("makara: cur_area %d\n", cur_area); fflush(NULL);*/ /* DEBUG */
 for (i=0; i<64; i++) { aracom[cur_area].dir[i] = direct[i]; }

 start_byte = 0;
 if (lpos = lseek(fd, start_byte, 0) < 0)
  {sprintf(cerror,"%s: makara: lseek error l1 errno= %d fd: %d %d %d\n",
     varg[0],errno,fd,start_byte,lpos);
   perror(cerror); printf(cerror); return -1;}
 errno = 0;  n_bytes = 64 * 4;
 n_read = write (fd, aracom[cur_area].dir, n_bytes);
 if ( (n_read != n_bytes && errno != 0) || (n_read != n_bytes) )
  {sprintf(cerror,"%s: makara: read error r1 errno= %d fd: %d "
     " %d %d\n",varg[0],errno,fd,n_read,n_bytes);
   printf(cerror); perror(cerror); }

 dptr = (void *)aracom[cur_area].dir;
 aracom[cur_area].data_loc = dptr->data_loc;
 aracom[cur_area].pref_len = dptr->line_pref;
 aracom[cur_area].line_len = dptr->nele * dptr->data_bytes * dptr->nbands;
 aracom[cur_area].elem_len = dptr->data_bytes * dptr->nbands;
 /*printf("makara pref len %4d %4d %4d\n",
         aracom[cur_area].pref_len,aracom[cur_area].line_len,
         aracom[cur_area].data_loc );*/ /* DEBUG */

 return 0;
}




#ifdef JUNK
 directptr = (void *)aracom[cur_area].dir;
#include <string.h>
#include <fcntl.h>      /* open */

#define PARMS 0666
#include "direct.h"
#define OPEN
extern char **varg;

int opnara (char *area, char red_wrt)
{
 int i;
 int fd;
 static int n_bytes, n_read, lpos, start_byte;
 char cerror[120];

 for (i=0; i<N_AREAS; i++)
  {if (!strncmp(area,aracom[i].area_name,4)) {cur_area = i; goto found_area;} }
  new_area++;
  cur_area = new_area;
  aracom[new_area].area_name = area;
 found_area: ;

 if (red_wrt == 'R')
  {
   fd = open (area, O_RDONLY, 0) ;
   if (fd < 0)
     {sprintf(cerror,"%s: opnara: open error errno= %d file: %s\n",
             varg[0],errno,area);
      perror(cerror); printf(cerror); return -1;}
    aracom[cur_area].fd = fd;
   printf("opnara read only fd %2d\n", fd);	/* DEBUG */
  }
 else if (red_wrt == 'W')
  {
   fd = open (area, O_RDWR, 0);
   if (fd < 0)
    {fd = open (area, O_RDWR | O_CREAT, PARMS);
     if (fd < 0)
       {sprintf(cerror,"%s: opnara create: open error errno= %d file: %s\n",
               varg[0],errno,area);
        perror(cerror); printf(cerror); return -1;}
     aracom[cur_area].fd = fd;
     printf("opnara fd %2d\n", fd);	/* DEBUG */
     return 0;	/* new area, do not read in directory */
    }
   aracom[cur_area].fd = fd;
   printf("opnara fd %2d\n", fd);	/* DEBUG */
  }

 start_byte = 0;
 if (lpos = lseek(fd, start_byte, 0) < 0)
  {sprintf(cerror,"%s: opnara: lseek error l1 errno= %d fd: %d %d %d\n",
     varg[0],errno,fd,start_byte,lpos);
   perror(cerror); printf(cerror); return;}
 errno = 0;  n_bytes = 64 * 4;
 n_read = read (fd, aracom[cur_area].dir, n_bytes);
 if ( (n_read != n_bytes && errno != 0) || (n_read != n_bytes) )
  {sprintf(cerror,"%s: opnara: read error r1 errno= %d fd: %d "
     " %d %d\n",varg[0],errno,fd,n_read,n_bytes);
   printf(cerror); perror(cerror); }

 dptr = (void *)aracom[cur_area].dir;
 aracom[cur_area].data_loc = dptr->data_loc;
 aracom[cur_area].pref_len = dptr->line_pref;
 aracom[cur_area].line_len = dptr->nele * dptr->data_bytes * dptr->nbands;
 aracom[cur_area].elem_len = dptr->data_bytes * dptr->nbands;
 printf("opnara pref len %4d %4d\n",
         aracom[cur_area].pref_len,aracom[cur_area].line_len );/* DEBUG */

 /* Set options */
 aracom[cur_area].options[0] = aracom[cur_area].dir[10];	/* precision */
 aracom[cur_area].options[1] = aracom[cur_area].dir[10];	/* spacing */
 aracom[cur_area].options[2] = aracom[cur_area].dir[51];	/* units */
 aracom[cur_area].options[2] = 1;				/* scaling */
 aracom[cur_area].options[4] = aracom[cur_area].dir[52];	/* calibration */

 return fd;
}
#endif
