      SUBROUTINE FINDOB(CIDN,ISVCM,IROW,STLOC,NUMSTNS)
C ? **FINDOB** FIND A STATION LAT/LON AND COLUMN  (AJ)
C ?   INPUT:  CIDN-     STATION CHARACTER NAME (*4)
C ?           ISVCM-    DESIRED MD FILE NO.
C ?           IROW-     DESIRED MD ROW NO.
C ?  IF SEARCHING AN ISFC MD FILE OR MD FILE WITH COLUMN HEADERS,
C ?       IROW IS THEN EQUAL TO ZERO.
C ?  OUTPUT:  STLOC(1)- STATION INTEGER NAME
C ?           STLOC(2)- LATITUDE
C ?           STLOC(3)- LONGITUDE
C ?           STLOC(4)- COLUMN LOCATION IN MD FILE(ISVCM)
C ?           STLOC(5)- ELEVATION
C ?   IF STLOC(1) IS ZERO (0); STATION NOT FOUND.
      INTEGER STLOC(5),NUMSTNS,MOUT(300),ISTA
      CHARACTER*4 CIDN,CLIT
      CHARACTER*7 CFIEND7
      CHARACTER*12 CSTA,CPP,CFI,CTYPE
c     IOK= MDOPEN(ISVCM,1)
      IIDN= LIT(CIDN)
      STLOC(1)= 0
      DO 20 I=1,NUMSTNS
      INK= MDGET(ISVCM,IROW,I,MOUT)
      if (ink.lt.0) then
           print *,'Error reading md file :',ISVCM
           exit DO 20 I=1
      end if
      CSTA= CLIT(MOUT(5))
      ISTA= MOUT(5)
      IF(ISTA .EQ. IIDN)THEN
      print *, 'CSTA = ',csta, ' I = ',I
      CALL DDEST('STATION ID IS '//CLIT(CSTA)//'COL=',I)
      CALL DDEST('LAT='//CFIEND7(MOUT(6)),0)
      CALL DDEST('LON='//CFIEND7(MOUT(7)),0)
      STLOC(1)= ISTA
      STLOC(2)= MOUT(6)
      STLOC(3)= MOUT(7)
      STLOC(4)= I
      STLOC(5)= MOUT(8)
      GOTO 1001
      ENDIF
   20 CONTINUE
c1000 CALL MDCLOS(ISVCM)
 1001 CALL DDEST('FINDOB FINISHED',0)
      RETURN
      END
