      SUBROUTINE HRTOPO(MLAT,MLON,IELEV,ICHAR)
C $ SUBROUTINE HRTOPO(MLAT,MLON,IELEV,ICHAR)     (BTR)
C $ GIVEN LAT/LON, GET ELEVATION AND SURFACE CHAR. (HIGH RES.)
C $ MLAT = (I) INPUT  LATITUDE (0-89,+N,-S,*100)
C $ MLON = (I) INPUT  LONGITUDE (0-180,+E,-W,*100)
C $ IELEV = (I) OUTPUT   ELEVATION (METERS)
C $ ICHAR = (I) OUTPUT  SURFACE CHARACTERISTIC (0=OCEAN)
C $$ HRTOPO = VAS,COMPUTATION
      CHARACTER*8 CFILE
      INTEGER*2 IBUF(144)
      DATA CFILE/'TOPOHRES'/,IU/18/,LEN/72/
      DATA LREC/-1/,MEL/Z'1FF'/,MISG/999999/
      ICHAR=MISG
      IELEV=MISG
      IOFF=0
      IF(MLAT.LE.100) IOFF=8100
      LAT=IABS(MLAT)
      LON=-MLON
      IF(LON.LT.0) LON=LON+36000
      IF(LREC.GE.0) GO TO 100
      CALL DOPEN(CFILE,IU,LEN)
      LREC=0
  100 CONTINUE
      ILAT=(LAT/100)*6
      JLAT=(MOD(LAT,100)*6)/100
      ILON=LON/2400
      IREC=(ILAT+JLAT)*15+ILON+1
      IREC=IREC+IOFF
      IF(IREC.EQ.LREC) GO TO 110
      CALL DREAD(IU,IREC,IBUF)
      LREC=IREC
  110 IB=(MOD(LON,2400)*6)/100+1
      II=IBUF(IB)
      IEL=IAND(II,MEL)
      IF(IEL.LT.400) GO TO 120
      IEL=IEL-400
      IEL=-IEL
  120 FEL=30.48*FLOAT(IEL)
      IELEV=IROUND(FEL)
      ICHAR=II/512
      RETURN
      END
