      FUNCTION TVPICE(PRESS)
C $ FUNCTION TVPICE(PRESS)                     (BTR)
C $ COMPUTE TEMP AT WHICH THE GIVEN VAPOR PRESSURE OVER ICE IS AT
C $   SATURATION.  THIS IS THE INVERSE OF 'VPICE'.
C $ PRESS = (R) INPUT  VAPOR PRESSURE
C $$ TVPICE = VAS, COMPUTATION
      REAL*8 V,A0,A1,A2,A3,A4,TV
C
      DATA A0/-.2031888177D+2/, A1/.2394167436D+2/
      DATA A2/.2252719878D+1/, A3/.1914055442D+0/, A4/.9636593860D-2/
C
      V = PRESS
      IF(V.LT.1.403D-5 .OR. V.GT.6.108D0) GO TO 900
      V = DLOG10(V)
      TV = A0 + V*(A1 + V*(A2 + V*(A3 + V*A4)))
      TVPICE = TV + 273.16D+0
      RETURN
C
  900 TVPICE = 0.
      RETURN
      END
