#include <stdio.h>
#include <unistd.h>
#include "toks.h"
#define MAINR
#include "gimfiles.h"
#include "gimparm.h"
#include "direct.h"
#include "bandparams.h"
Direct_ptr dirp[MAXCMDOPT];

int gcombine (void);
int gg_check (void);
int giminit (void);
int gimsetup (void);

int narg;
int bug;	/* debug level, 0-none */
char **varg;

int main (int argc, char **argv)
{
 int i;		/* index */
 int status;	/* functin return status */

 narg = argc;  varg = argv;
 filset ();
 bug = ikwp("BUG",1,0);

 /* open areas */
 status = giminit();
 if (status < 0) {(void)printf("error return from giminit\n"); return 1;}

 /* setup areas */
 status = gimsetup();
 if (status < 0) {(void)printf("error return from gimsetup\n"); return 1;}

 /* check areas */
 status = gg_check();
 if (status < 0) {(void)printf("error return from gg_check\n"); return 1;}

 /* combine areas */
 status = gcombine();
 if (status < 0) {(void)printf("error return from gcombine\n"); return 1;}

 for (i=0; i<=num_in_files; i++) { close(gf[i].fileno); } /* close all files */

 (void)printf("done with gimiglue\n");
 return 0;
}
