#include "bandparams.h"
#define LINLEN 4000
#define OUTLEN 12500

struct GimParm {
 int top_lin_im;	/* top line, image coordinates, output area */
 int bot_lin_im;	/* bottom line, image coordinates, output area */
 int lft_ele_im;	/* left element, image coordinates, output area */
 int rgt_ele_im;	/* righr element, image coordinates, output area */
 int chan_loc[MAXBANDS];	/* location of files that contain this channel */
 int lev_loc[MAXCMDOPT];	/* location of start of level section in prefix, bytes*/
 int lev_flag[MAXCMDOPT];	/* true if level section is present */
 int lev_off[MAXBANDS];	/* level offset in bytes for band rel to chan_loc file*/
};

#ifdef MAINR
struct GimParm gp = {999999,-1,999999,-1,0,0,0,0,0};
#else
extern struct GimParm gp;
#endif
